Get Transferability Areas
Returns the transfer areas for a given area type and academic year.
Api
- Route
/Transferability/api/{areaType}/Year/{academicYearId}- Method
- GET
- Key Required
- Yes
- Common Response
- No
- Response Type
- Array of Transferability Area
Path Parameters
- areaType (string)
- The transfer area type to retrieve. Must be one of the following codes:
| Code | Description |
|---|---|
IGETC | Intersegmental General Education Transfer Curriculum |
CSUAI | CSU American Ideals |
CSUGE | CSU General Education |
UCTEL | UC Transfer Eligibility List (not currently supported) |
UCTCA | UC Transferable Courses (not currently supported) |
- academicYearId (integer)
- The academic year to retrieve transferability data for. Academic year ids are returned from Get Academic Years.
Curl Example
curl -X 'GET' \
'https://prod.assistng.org/Transferability/api/igetc/Year/74' \
-H 'accept: application/json' \
-H 'API-Key':'<redacted>'
- areaType =
igetc - academicYearId =
74(2023-2024) - API-Key =
<redacted>(You’ll need to provide your own key.)
Sample Response
[
{
"areaType": "IGETC",
"code": "1A",
"name": "English Composition",
"areaId": 12
}
// ... additional areas omitted for brevity
]Transferability Area Model
- areaType (string)
- The area type code (e.g.
IGETC,CSUGE). Matches theareaTypepath parameter. - code (string)
- The area’s short identifier (e.g.
1A,2). - name (string)
- The name of the area.
- areaId (number)
- The unique id of the area.